library(shiny)
library(ggplot2)

# Define UI (web interface)
ui <- fluidPage(
    sliderInput(inputId = "bins", label = "Num of bins:", 
                value = 25, min = 1, max = 50),
    plotOutput(outputId = "hist")
)


# Define server logic (how R process user's inputs)
server <- function(input, output) {
    output$hist <- renderPlot({
        ggplot(iris) +
            geom_histogram(aes(Sepal.Length), bins = input$bins)
    })
}


# Run the application 
shinyApp(ui = ui, server = server)
