library(shiny)
source("functions.R")

# Define UI (web interface)
ui <- fluidPage(
    sidebarLayout(
        sidebarPanel(
            sliderInput(inputId = "bins", label = "Num of bins:", 
                        value = 25, min = 1, max = 50)
            ),
        mainPanel(
            plotOutput(outputId = "hist")
            )
        )
)

# Define server logic (how R process user's inputs)
server <- function(input, output) {
    output$hist <- renderPlot({
        plotHist(bins = input$bins)
    })
}


# Run the application 
shinyApp(ui = ui, server = server)
